%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Socket-INET6
Summary:	IO::Socket::INET6 - Object interface for AF_INET|AF_INET6 domain sockets
Summary(pl.UTF-8):	IO::Socket::INET6 - obiektowy interfejs do gniazd z domen AF_INET|AF_INET6
Name:		perl-IO-Socket-INET6
Version:	2.70
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c443e394ec9d128a3d8dca77f8e14426
URL:		http://search.cpan.org/dist/IO-Socket-INET6/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Socket::INET6 provides an object interface to creating and using
sockets in either AF_INET or AF_INET6 domains. It is built upon the
IO::Socket interface and inherits all the methods defined by
IO::Socket.

%description -l pl.UTF-8
IO::Socket::INET6 udostępnia obiektowy interfejs do tworzenia i
używania gniazd z rodziny AF_INET oraz AF_INET6. Jest zbudowany w
opaciu o interfejs IO::Socket i dziedziczy wszystkie metody
definiowane przez IO::Socket.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/IO/Socket/INET6.pm
%{_mandir}/man3/*
%changelog
* Wed May 06 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Socket-INET6.git;a=log;h=master

* Wed May 06 2015 Jan Rękorajski <baggins@pld-linux.org> e3a3c4a
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 91cecb1
- updated to 2.70

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 96a551c
- up to 2.69

* Thu Nov 26 2009 amateja <amateja@pld-linux.org> f03e939
- updated to 2.57

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 13d4bd8
- up to 2.56

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cd504e4
- up to 2.54

* Tue Mar 13 2007 Jakub Bogusz <qboosh@pld-linux.org> b23cf7a
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 01677d2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b5a7a42
- converted to UTF-8

* Mon Oct 17 2005 Elan Ruusamäe <glen@pld-linux.org> 50d0be2
- rel 3 with updated -pl (Ra can take rel 2 if wanted)

* Mon Oct 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 4a7b509
- updated pl

* Mon Oct 17 2005 hawk <hawk@pld-linux.org> 8b9dde3
- release 2 (1 is for Ra)

* Sun Oct 16 2005 Elan Ruusamäe <glen@pld-linux.org> f9c14b0
- CPAN url for source0

* Sun Oct 16 2005 Elan Ruusamäe <glen@pld-linux.org> e40beb5
- updated to 2.51 from CPAN
- see also spamassassin bug #4619

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 2785031
- spelling fix

* Fri May 07 2004 ankry <ankry@pld-linux.org> 2f2f349
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> 7c36821
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> bae575a
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 7d3c119
- license fixes & unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 01e405c
- spaces -> tab

